Authentication
Updated
To access the Chaos oracle API, you must include an API key in all your requests.
How to Get an API Key
To get an API key, contact support@chaoslabs.xyz. Specify whether you need access to the test or production environment.
Using Your API Key
To call any of our endpoints, include your API key directly in the Authorization header:
Authorization: <YOUR_API_KEY>
Example request:
curl -X GET https://api.chaoslabs.xyz/v1/feeds/latest \
-H "Authorization: sk_test_xxxx1234"Copy code
Open in Cursor
Open in VS Code
Open in v0
Open in Claude
Open in ChatGPT
All endpoints require a Bearer token in the request header.
Rate Limiting
Requests are rate-limited. Check the following headers in each response:
If you exceed the limit, then you’ll receive a 429 Too Many Requests response.
Invalid or Missing Keys
If your API key is missing or invalid, then you'll get the response:
{
"error": "Invalid or missing API key"
}Copy code
Open in Cursor
Open in VS Code
Open in v0
Open in Claude
Open in ChatGPT
Was this helpful?